## cal-scripts 0.51

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	install -d $(DESTDIR)$(SBINDIR)
	install -d $(DESTDIR)$(SHAREDIR)
	install -d $(DESTDIR)$(LIBDIR)
	install -d $(DESTDIR)$(ETCDIR)
	install -d $(DESTDIR)$(ETCDIR)/checkspace.d/
	install -d $(DESTDIR)$(ETCDIR)/checkserver.d/
	install -d $(DESTDIR)/etc/init.d/
	install -m755 checkspace       $(DESTDIR)$(SBINDIR)
	install -m644 checkspace.conf  $(DESTDIR)$(ETCDIR)
	install -m755 checkserver      $(DESTDIR)$(SBINDIR)
	install -m644 checkserver.conf $(DESTDIR)$(ETCDIR)
	cp -a checkspace.d/*           $(DESTDIR)$(ETCDIR)/checkspace.d/
	cp -a checkserver.d/*          $(DESTDIR)$(ETCDIR)/checkserver.d/
	install -m755 cal-scripts-firewall       $(DESTDIR)/etc/init.d/cal-scripts-firewall
	install -m755 slapdcheck       $(DESTDIR)$(SBINDIR)/slapdcheck
	install -m755 slapdtimeout     $(DESTDIR)$(SBINDIR)/slapdtimeout
	install -m755 check_cores      $(DESTDIR)$(SBINDIR)/check_cores
	install -m755 check_disks      $(DESTDIR)$(SBINDIR)/check_disks
	install -m755 check_ntp        $(DESTDIR)$(SBINDIR)/check_ntp
	install -m755 check_mail       $(DESTDIR)$(SBINDIR)/check_mail
	install -m755 check_ldap       $(DESTDIR)$(SBINDIR)/check_ldap
	install -m755 check_auth_ldap  $(DESTDIR)$(SBINDIR)/check_auth_ldap
	install -m755 gen-spatch       $(DESTDIR)$(BINDIR)/gen-spatch
	install -m755 slapdenv         $(DESTDIR)$(SHAREDIR)/slapdenv
	install -m755 slapdbackup      $(DESTDIR)$(SBINDIR)/slapdbackup
	install -m755 pgbackup         $(DESTDIR)$(SBINDIR)/pgbackup
	install -m755 tdiprint         $(DESTDIR)$(BINDIR)/tdiprint
	#install -m755 sysinfoupdate    $(DESTDIR)$(SBINDIR)/sysinfoupdate
	install -m755 amcleanlogs      $(DESTDIR)$(SBINDIR)/amcleanlogs
	install -m755 test_stab        $(DESTDIR)$(SBINDIR)/
	install -m755 test_cpubuild    $(DESTDIR)$(SBINDIR)/
	install -m644 config-*         $(DESTDIR)$(SHAREDIR)/
	install -m755 test_diff        $(DESTDIR)$(SBINDIR)/
	install -m755 test_newdisks    $(DESTDIR)$(SBINDIR)/
	install -m755 test_filldisk    $(DESTDIR)$(SBINDIR)/
	install -m755 test_fillbigdisk $(DESTDIR)$(SBINDIR)/
	install -m755 lba2file         $(DESTDIR)$(SBINDIR)/
	install -m755 tar-snapshot-edit $(DESTDIR)$(SBINDIR)/
	touch install-up-stamp


clean:
	make unpatch || rm debian/stamp-patched
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
cal-scripts (0.51) wheezy; urgency=low

  * check_disks: don't print anything if there is no disks to check,
    because of cron.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 29 Dec 2014 12:11:21 +0000

cal-scripts (0.50) wheezy; urgency=low

  * Remove 'set -x' flag from check_disks

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 15 Dec 2014 19:05:58 +0000

cal-scripts (0.49) wheezy; urgency=low

  * Change depends from schedutils to util-linux | schedutils.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 28 Oct 2014 12:40:19 +0000

cal-scripts (0.48) wheezy; urgency=low

  * remove from cron /usr/bin/apt-get -u dist-upgrade

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 28 Oct 2014 12:37:58 +0000

cal-scripts (0.47) wheezy; urgency=low

  * Rename firewall to cal-scripts-firewall on source

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 16:55:48 +0000

cal-scripts (0.46) wheezy; urgency=low

  * Implement dpkg-maintscript-helper to rename /etc/init.d/firewall to
    /etc/init.d/cal-scripts-firewall

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 16:04:50 +0000

cal-scripts (0.45) wheezy; urgency=low

  * Rename /etc/init.d/firewall to /etc/init.d/cal-scripts-firewall

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 14:51:05 +0000

cal-scripts (0.44) wheezy; urgency=low

  * Update Makefile to version 0.24.
  * Update name and email of Maintainer.
  * Remove sysinfoupdate.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 17 Jan 2014 19:56:17 +0000

cal-scripts (0.43) updates; urgency=low

  * On cron.d, stop running amcleanlogs Daily1.
  * update sysinfoupdate with version v0.9.12 from git repository.
  * fix a group of lintian warnings.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 25 May 2012 13:05:51 +0100

cal-scripts (0.42) updates; urgency=low

  * Update tar-snapshot-edit to version released in Aug 25, 2011.
  * Update Makefile to version 0.19~rc2

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 30 Apr 2012 19:14:00 +0100

cal-scripts (0.41) updates; urgency=low

  * added copyright and license notice to some scripts
  * correct function checkspace_afs_mail in checkspace to send to more
    than one email address
  * changed apt-get dselect-upgrade to apt-get dist-upgrade and add a
    random sleep
  * sysinfoupdate updated
  * Makefile updated
  * debian/rules updated
  * Experimental changes for init script firewall be complaint with Debian
    and LSB.  Includes support for dependency base boot.
  * Makefile updated to version 0.17, release updated to lenny.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 28 Jun 2011 18:49:27 +0100

cal-scripts (0.40) updates; urgency=low

  * new scripts for testing new machines.
  * lba2file: script that gives information about a LBA:
    - partition
    - logical sector
    - file afected
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 04 Dec 2009 19:08:01 +0000

cal-scripts (0.39) updates; urgency=low

  * checkspace_afs_mail: allow multiple destinations

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 28 May 2009 14:53:56 +0100

cal-scripts (0.38) updates; urgency=low

  * added depends on ntpdate.
  * added full path to sendmail.
  * added depends on mail-transport-agent.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 20 May 2009 13:38:48 +0100

cal-scripts (0.37) updates; urgency=low

  * adicionadas unidades nas mensagens sobre testes de espaço livre em
    disco.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 25 Mar 2009 20:06:37 +0000

cal-scripts (0.36) updates; urgency=low

  * added:
    - checkspace_afs: check free space on a afs directory
    - checkspace_afs_mail: check free space and send an email

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 24 Mar 2009 21:02:23 +0000

cal-scripts (0.35) updates; urgency=low

  * added tar-snapshot-edit for changing the dev field of a
    listed-incremental file, used by tar to implement incremental backups.
    This happens with NFS, AFS and LVM volumes that change device numbers
    between reboots.

 -- Jose Manuel dos Santos Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 29 Jul 2008 00:46:37 +0100

cal-scripts (0.34) updates; urgency=low

  * amcleanlogs: don't show what directories are baing cleaned for a
    better interaction with cron.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed,  2 Apr 2008 19:58:03 +0100

cal-scripts (0.33) updates; urgency=low

  * slapdenv: is arch all so should be inside /usr/share and not /usr/lib
  * small changes on Makefile

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu,  3 Jan 2008 16:39:46 +0000

cal-scripts (0.32) updates; urgency=low

  * slapdenv: was being installed on the wrong path because a missing
    slash

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu,  3 Jan 2008 16:11:41 +0000

cal-scripts (0.31) updates; urgency=high

  * cron.d/cal-scripts: solved another problem, this time with day of week

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 28 Dec 2007 17:22:37 +0000

cal-scripts (0.30) updates; urgency=high

  * cron.d/cal-scripts: correted bad hour to run amcleanlogs, this disable
    allmost all cron jobs from this package
  * Makefile: modernized to have variable SOURCENAME and others things
  * Makefile: automatically add files to subversion during tag target

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat, 22 Dec 2007 23:25:57 +0000

cal-scripts (0.29) updates; urgency=low

  * db_dumps: _experimental_ script todo export of many databases that
    can exist on a Debian server
  * many updates to sysinfoupdate
  * amcleanlogs: clean logs from amanda

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 16 Dec 2007 19:09:39 +0000

cal-scripts (0.28) updates; urgency=low

  * check_disks: added to the PATH the sbin directories because when
    running by cron the PATH variable is minimal



## cal-scripts 0.52

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Copyrigth: 2005-2013 Instituto Superior Técnico
+# Copyrigth: 2005-2014,2017 Instituto Superior Técnico
 # Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
 
 # License: GPL2+ with OpenSSL exception
 
 
-# "based" on template Makefile for most debian packages version 0.24
+# "based" on template Makefile for most debian packages version 0.28
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -18,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=wheezy
+MDIST=jessie
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -39,11 +39,11 @@
 TARFILE=file-$(VER).tar.gz
 TARDIR=untar/$(PACKNAME)-$(VER)
 ifeq ($(NATIVE),0)
-DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
 #DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
 else
-DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
 DISTFILES=$(DISTFILE)
 endif
 
@@ -157,11 +157,11 @@
 	# Non native package
 	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
 	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
-	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
-	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
+	cd .. && svn add $(DISTFILE)
 else
 	# native package
-	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
+	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
 	cd .. && svn add $(DISTFILE)
 endif
 
@@ -182,10 +182,11 @@
 tag:
 	cd .. ; svn add $(DISTFILES) ;\
 		echo $(PWD)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
+	cd .. ; svn add --force \
+			$(SOURCENAME)_$(DEBVER)_*.changes \
 			$(SOURCENAME)_$(DEBVER)_*.build \
 			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
+	cd .. ; svn add --force *_$(DEBVER)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
 	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
 		$(DISTFILES) \

=== debian/changelog ===
cal-scripts (0.52) stretch; urgency=low

  * New release just for stretch.

 -- Jose M Calhariz <calhariz@debian.org>  Tue, 14 Nov 2017 21:04:57 +0000

=== debian/control ===
Source: cal-scripts
Section: admin
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.6.1

Package: cal-scripts
Architecture: all
Pre-Depends: dpkg (>= 1.16.12)
Depends: fping, bc, liblockfile1, gawk, dash,
 util-linux | schedutils, 
 perl, ntpdate, mail-transport-agent | exim4, 
 lsb-base (>= 3.0-6),
 ${misc:Depends},
Recommends: python (>= 2.3), python-ldap, 
Suggests: python2.3, python2.3-ldap, expect, liblockfile-dev
Description: Scripts que ajudam a gerir e a manter uma maquina Linux
 .
 checkspace.sh - Verifica se as directorias criticas tem espaço livre
 suficiente.  
 .
 firewall - Init.d script para lançar e para a firewall
 .
 slapdbackup - Faz backup de um servidor slapd
 .
 slapdcheck - Verifica se o servidor ldap está a correr e tenta
 recuperar o servidor em caso de erro
 .
 pgbackup - Realiza o backup das base de dados do postgres
 .
 tar-snapshot-edit - utility from GNU to change the device number
 inside listed-incremental files used by tar.  Needed because device
 numbers can change between reboots.
 .
 Instala um crontab para realizar diversas tarefas de manutenção
 periodicamente

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.13

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources
REPOSTARGET=root@debian.tagus.ist.utl.pt:/var/www/debian/debian/dists/$(MDIST)/$(DIST)/$(SECTION)/
REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: configure build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installcron --name=cal-scripts-postgres
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Upload the packages and the distribution files into the rigth places
upload:	
	#mkdir -p $(REPOSARCH)
	cp ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
	scp ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)_$(VER).tar.gz
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes ; svn add $(SOURCENAME)_$(DEBVER)_*.build ; svn add $(SOURCENAME)_$(DEBVER).dsc ; svn add $(SOURCENAME)_$(DEBVER).diff.gz
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; svn ci -m "released v$(DEBVER)"
	svn copy -m "released v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/trunk/src/$(SOURCENAME) $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cal-scripts 0.63

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Copyrigth: 2005-2014,2017 Instituto Superior Técnico
-# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
+# Copyrigth: 2005-2014,2017-2023 Instituto Superior Técnico
+# Author: Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>
 
 # License: GPL2+ with OpenSSL exception
 
 
-# "based" on template Makefile for most debian packages version 0.28
+# "based" on template Makefile for most debian packages version 0.30
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -18,7 +18,6 @@
 else
 NATIVE=0
 endif
-MDIST=jessie
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -39,17 +38,17 @@
 TARFILE=file-$(VER).tar.gz
 TARDIR=untar/$(PACKNAME)-$(VER)
 ifeq ($(NATIVE),0)
-DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
 #DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
 else
-DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
 DISTFILES=$(DISTFILE)
 endif
 
 
 all:
-	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
+	echo $(VER) $(DEBVER) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
@@ -202,7 +201,7 @@
 		$(SOURCENAME)_$(DEBVER).dsc \
 		*_$(DEBVER)_*.deb \
 		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i "New release"
+	bash -c 'DEBEMAIL="jose.calhariz@tecnico.ulisboa.pt" debchange -i "New release"'
 
 
 .PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
cal-scripts (0.63) bookworm; urgency=medium

  * ntp was replaced by ntpsec, updating depends.
  * Drop recommends on old python.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Mon, 25 Aug 2025 20:47:54 +0100

cal-scripts (0.62) bookworm; urgency=medium

  * Another update of check_ntp for bookworm.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 27 Sep 2023 12:18:24 +0100

cal-scripts (0.61) bookworm; urgency=medium

  * Another update of check_ntp for bookworm.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 27 Sep 2023 12:11:20 +0100

cal-scripts (0.60) bookworm; urgency=medium

  * Experimental update of check_ntp for bookworm.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Thu, 17 Aug 2023 19:11:23 +0100

cal-scripts (0.59) buster; urgency=medium

  * Previous release was a litle broken.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 31 Aug 2021 14:54:42 +0100

cal-scripts (0.58) buster; urgency=medium

  * Fix a typo that broke check_auth_ldap for many tests

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 31 Aug 2021 14:52:47 +0100

cal-scripts (0.57) buster; urgency=medium

  * Fix check_ntp for good, I think.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 08 Jun 2021 09:05:31 +0100

cal-scripts (0.56) buster; urgency=medium

  * New release
  * Fix field number in check_ntp.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Wed, 12 May 2021 18:38:28 +0100

cal-scripts (0.55) buster; urgency=medium

  * Update email address of maintainer.
  * Bump compat to 10, no other changes were made.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Mon, 03 May 2021 22:35:51 +0100

cal-scripts (0.54) buster; urgency=medium

  * Really fix a change in syntax of bulsseye bc.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 03 May 2021 22:04:19 +0100

cal-scripts (0.53) buster; urgency=medium

  * Fix a change in syntax of bulsseye bc.
  * Update Makefile and upload to v0.29.
  * Fix email of Maintainer in changelog.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 03 May 2021 21:38:10 +0100

=== debian/control ===
Source: cal-scripts
Section: admin
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.6.1

Package: cal-scripts
Architecture: all
Pre-Depends: dpkg (>= 1.16.12)
Depends: fping, bc, liblockfile1, gawk, dash,
 util-linux | schedutils, 
 perl,
 ntpdate | ntpsec-ntpdate,
 mail-transport-agent | exim4, 
 lsb-base (>= 3.0-6),
 ${misc:Depends},
Recommends: 
Suggests: expect, liblockfile-dev
Description: Scripts que ajudam a gerir e a manter uma maquina Linux
 .
 checkspace.sh - Verifica se as directorias criticas têm espaço livre
 suficiente.  
 .
 firewall - Init.d script para lançar e parar a firewall
 .
 slapdbackup - Faz backup de um servidor slapd
 .
 slapdcheck - Verifica se o servidor ldap está a correr e tenta
 recuperar o servidor em caso de erro
 .
 pgbackup - Realiza o backup das base de dados do postgres
 .
 tar-snapshot-edit - utility from GNU to change the device number
 inside listed-incremental files used by tar.  Needed because device
 numbers can change between reboots, not needed for new GNU tar
 .
 Instala um crontab para realizar diversas tarefas de manutenção
 periodicamente

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.31

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

#This rule file have a bashism
SHELL:=/bin/bash

# From dpkg-dev
include /usr/share/dpkg/pkg-info.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Personal Variables
PACKNAME=$(shell dh_listpackages)
PACKAGE=$(shell dh_listpackages)

# Variables used by the Debian Maintainer exclusively for package
# development.
#DEB_SOURCE is replacing SOURCENAME
#SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
#DEB_VERSION is replacing DEBVER
#DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
#DEB_VERSION_UPSTREAM is replacing VER
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEB_VERSION),$(DEB_VERSION_UPSTREAM))
NATIVE=1
else
NATIVE=0
endif
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
#CATEG=other_sources
ifeq ($(NATIVE),0)
DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz
#DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).diff.gz
DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).debian.tar.gz
else
DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION).tar.gz
DISTFILES=$(DISTFILE)
endif




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) "DESTDIR=$(CURDIR)/debian/$(PACKAGE)" install 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installcron --name=cal-scripts-postgres
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(DEB_SOURCE) ../$(DEB_SOURCE)-$(DEB_VERSION_VERSION)
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(DEB_SOURCE) | gzip -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
else
	# native package
	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(DEB_SOURCE) | gzip -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
endif


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(DEB_VERSION_UPSTREAM) $(DEB_VERSION) $(DIST) $(PACKNAME) $(DEB_SOURCE)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
	echo $(DEB_SOURCE) $(DEB_VERSION) $(DEB_VERSION_EPOCH_UPSTREAM)
	echo $(DEB_VERSION_UPSTREAM_REVISION) $(DEB_VERSION_UPSTREAM)
	echo $(DEB_DISTRIBUTION) $(SOURCE_DATE_EPOCH)


# Upload the packages and the distribution files into the rigth places
upload: 
	make -f ../upload upload


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(CURDIR)
	cd .. ; svn add $(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
			$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
			$(DEB_SOURCE)_$(DEB_VERSION).dsc
	cd .. ; svn add *_$(DEB_VERSION)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEB_VERSION)" \
		$(DISTFILES) \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
		*_$(DEB_VERSION)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEB_VERSION)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEB_VERSION)" \
		$(DISTFILES) \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
		*_$(DEB_VERSION)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
